package com.ruoyi.project.VRdemo.mapper;

import com.ruoyi.project.VRdemo.domain.NoteData;
import com.ruoyi.project.VRdemo.domain.vo.NoteDataVo;
import com.ruoyi.project.system.domain.SysUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName NoteDataMapper
 * @Description TODO
 * @Author zhixian li 
 * @Date 2023年07月17日 16:34 
 * @Version 1.0
 */
public interface NoteDataMapper {
    /**
     * 查询文档管理
     *
     * @param id 文档管理主键
     * @return 文档管理
     */
    public NoteData selectNoteDataById(Long id);

    /**
     * 查询文档管理列表
     *
     * @param noteData 文档管理
     * @return 文档管理集合
     */
    public List<NoteData> selectNoteDataList(NoteData noteData);

    /**
     * 新增文档管理
     *
     * @param noteData 文档管理
     * @return 结果
     */
    public int insertNoteData(NoteData noteData);

    /**
     * 校验用户名称是否唯一
     *
     * @param title 用户名称
     * @return 结果
     */
    public NoteData checkUserNameUnique(String title);

    /**
     * 修改文档管理
     *
     * @param noteData 文档管理
     * @return 结果
     */
    public int updateNoteData(NoteData noteData);

    public boolean  updateFileUploadUrlData(@Param("file")String file, @Param("ids")Long ids);
    /**
     * 删除文档管理
     *
     * @param id 文档管理主键
     * @return 结果
     */
    public int deleteNoteDataById(Long id);

    /**
     * 批量删除文档管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNoteDataByIds(Long[] ids);

    public List<NoteData> selectNoteDataListVo(NoteDataVo noteDataVo);
}
