package com.ruoyi.project.VRdemo.mapper;

import com.ruoyi.project.VRdemo.domain.NoteData;
import com.ruoyi.project.VRdemo.domain.NoteNationData;
import com.ruoyi.project.VRdemo.domain.vo.NoteNationDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface NoteNationDataMapper {
    /**
     * 查询文档（地区）
     *
     * @param id 文档（地区）主键
     * @return 文档（地区）
     */
    public NoteNationData selectNoteNationDataById(Long id);

    /**
     * 查询文档（地区）列表
     *
     * @param noteNationData 文档（地区）
     * @return 文档（地区）集合
     */
    public List<NoteNationData> selectNoteNationDataList(NoteNationData noteNationData);

    /**
     * 新增文档（地区）
     *
     * @param noteNationData 文档（地区）
     * @return 结果
     */
    public int insertNoteNationData(NoteNationData noteNationData);

    /**
     * 修改文档（地区）
     *
     * @param noteNationData 文档（地区）
     * @return 结果
     */
    public int updateNoteNationData(NoteNationData noteNationData);

    public boolean  updateFileUploadUrlData(@Param("file")String file, @Param("ids")Long ids);
    /**
     * 删除文档（地区）
     *
     * @param id 文档（地区）主键
     * @return 结果
     */
    public int deleteNoteNationDataById(Long id);
    /**
     * 校验用户名称是否唯一
     *
     * @param title 用户名称
     * @return 结果
     */
    public NoteNationData checkUserNameUnique(String title);
    /**
     * 批量删除文档（地区）
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNoteNationDataByIds(Long[] ids);

    public List<NoteData> selectNoteNationDataListVo(NoteNationDataVo noteNationDataVo);
}
