package com.ruoyi.project.VRdemo.mapper;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.Publication;

/**
 * 东南亚连续出版物Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-06
 */
public interface PublicationMapper {

    /**
     * 查询东南亚连续出版物
     *
     * @param id 东南亚连续出版物主键
     * @return 东南亚连续出版物
     */
    Publication selectPublicationById(Long id);

    /**
     * 根据标题查询 publication
     *
     * @param title publication标题
     * @return publication对象
     */
    Publication selectPublicationByTitle(String title);

    /**
     * 查询东南亚连续出版物列表
     *
     * @param publication 东南亚连续出版物
     * @return 东南亚连续出版物集合
     */
    List<Publication> selectPublicationList(Publication publication);

    /**
     * 根据所属区查询东南亚连续出版物列表
     */
    List<Publication> selectPublicationListByAffiliation(String affiliation);

    /**
     * 新增东南亚连续出版物
     *
     * @param publication 东南亚连续出版物
     * @return 结果
     */
    int insertPublication(Publication publication);

    /**
     * 批量插入 publication 数据
     *
     * @param dataList publication 数据集合
     * @return 结果
     */
    int insertPublicationDataList(List<Publication> dataList);

    /**
     * 修改东南亚连续出版物
     *
     * @param publication 东南亚连续出版物
     * @return 结果
     */
    int updatePublication(Publication publication);

    /**
     * 删除东南亚连续出版物
     *
     * @param id 东南亚连续出版物主键
     * @return 结果
     */
    int deletePublicationById(Long id);

    /**
     * 批量删除东南亚连续出版物
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deletePublicationByIds(Long[] ids);

}
