package com.ruoyi.project.VRdemo.mapper;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.RegionDevelop;

/**
 * 东南亚地区发展报告Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-30
 */
public interface RegionDevelopMapper {

    /**
     * 查询东南亚地区发展报告
     *
     * @param id 东南亚地区发展报告主键
     * @return 东南亚地区发展报告
     */
    RegionDevelop selectRegionDevelopById(Long id);

    /**
     * 根据标题查询
     */
    RegionDevelop selectRegionDevelopByTitle(String title);

    /**
     * 查询东南亚地区发展报告列表
     *
     * @param regionDevelop 东南亚地区发展报告
     * @return 东南亚地区发展报告集合
     */
    List<RegionDevelop> selectRegionDevelopList(RegionDevelop regionDevelop);

    /**
     * 根据类型查询东南亚地区发展报告列表
     *
     * @return 东南亚地区发展报告集合
     */
    List<RegionDevelop> selectRegionDevelopListByType(String type);

    /**
     * 新增东南亚地区发展报告
     *
     * @param regionDevelop 东南亚地区发展报告
     * @return 结果
     */
    int insertRegionDevelop(RegionDevelop regionDevelop);

    /**
     * 批量插入数据
     */
    int insertRegionDevelopDataList(List<RegionDevelop> dataList);

    /**
     * 修改东南亚地区发展报告
     *
     * @param regionDevelop 东南亚地区发展报告
     * @return 结果
     */
    int updateRegionDevelop(RegionDevelop regionDevelop);

    /**
     * 删除东南亚地区发展报告
     *
     * @param id 东南亚地区发展报告主键
     * @return 结果
     */
    int deleteRegionDevelopById(Long id);

    /**
     * 批量删除东南亚地区发展报告
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRegionDevelopByIds(Long[] ids);

}
