package com.ruoyi.project.VRdemo.mapper;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.Research;

/**
 * 研究Mapper接口
 *
 * @author ruoyi
 * @date 2024-06-23
 */
public interface ResearchMapper {
    /**
     * 查询研究
     *
     * @param id 研究主键
     * @return 研究
     */
    Research selectResearchById(Long id);

    /**
     * 根据标题查询研究
     *
     * @param title 研究标题
     * @return 研究
     */
    Research selectResearchByTitle(String title);

    /**
     * 查询研究列表
     *
     * @param research 研究
     * @return 研究集合
     */
    List<Research> selectResearchList(Research research);

    /**
     * 新增研究
     *
     * @param research 研究
     * @return 结果
     */
    int insertResearch(Research research);

    /**
     * 批量插入研究数据
     *
     * @param dataList 研究数据集合
     * @return 结果
     */
    int insertResearchDataList(List<Research> dataList);

    /**
     * 修改研究
     *
     * @param research 研究
     * @return 结果
     */
    int updateResearch(Research research);

    /**
     * 删除研究
     *
     * @param id 研究主键
     * @return 结果
     */
    int deleteResearchById(Long id);

    /**
     * 批量删除研究
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteResearchByIds(Long[] ids);

}
