package com.ruoyi.project.VRdemo.mapper;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.Thesis;

/**
 * 论文Mapper接口
 *
 * @author ruoyi
 * @date 2024-06-23
 */
public interface ThesisMapper {

    /**
     * 查询论文
     *
     * @param id 论文主键
     * @return 论文
     */
    Thesis selectThesisById(Long id);

    /**
     * 根据标题查询论文
     */
    Thesis selectThesisByTitle(String title);

    /**
     * 查询论文列表
     *
     * @param thesis 论文
     * @return 论文集合
     */
    List<Thesis> selectThesisList(Thesis thesis);

    /**
     * 新增论文
     *
     * @param thesis 论文
     * @return 结果
     */
    int insertThesis(Thesis thesis);

    /**
     * 批量插入论文数据
     *
     */
    int insertThesisDataList(List<Thesis> dataList);

    /**
     * 修改论文
     *
     * @param thesis 论文
     * @return 结果
     */
    int updateThesis(Thesis thesis);

    /**
     * 删除论文
     *
     * @param id 论文主键
     * @return 结果
     */
    int deleteThesisById(Long id);

    /**
     * 批量删除论文
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteThesisByIds(Long[] ids);

}
