package com.ruoyi.project.VRdemo.service;

import com.ruoyi.project.VRdemo.domain.StudyData;
import com.ruoyi.project.VRdemo.domain.StudyNationData;
import com.ruoyi.project.VRdemo.domain.vo.StudyNationDataVo;

import java.util.List;

public interface IStudyNationDataService {
    /**
     * 查询studyNation
     *
     * @param id studyNation主键
     * @return studyNation
     */
    public StudyNationData selectStudyNationDataById(Long id);

    /**
     * 查询studyNation列表
     *
     * @param studyNationData studyNation
     * @return studyNation集合
     */
     List<StudyNationData> selectStudyNationDataList(StudyNationData studyNationData);

    /**
     * 新增studyNation
     *
     * @param studyNationData studyNation
     * @return 结果
     */
    public int insertStudyNationData(StudyNationData studyNationData);

    /**
     * 校验用户名称是否唯一
     *
     * @param studyNationData 用户信息
     * @return 结果
     */
    public boolean checkUserNameUnique(StudyNationData studyNationData);
    /**
     * 修改studyNation
     *
     * @param studyNationData studyNation
     * @return 结果
     */
    public int updateStudyNationData(StudyNationData studyNationData);

    /**
     * 批量删除studyNation
     *
     * @param ids 需要删除的studyNation主键集合
     * @return 结果
     */
    public int deleteStudyNationDataByIds(Long[] ids);

    /**
     * 删除studyNation信息
     *
     * @param id studyNation主键
     * @return 结果
     */
    public int deleteStudyNationDataById(Long id);

    public List<StudyNationData> selectStudyNationDataListVo(StudyNationDataVo studyNationDataVo);
    boolean deleteFile(Long ids);
    public List<StudyNationData> selectStudyNationDataListVoAll(StudyNationDataVo studyNationDataVo);
}